%global momorel 8

Summary:        CPU Frequency adjusting daemon.
Name:		cpuspeed
Version:	1.2.1
Release:	%{momorel}m%{?dist}
Group:		System Environment/Base
License:	GPL
URL:            http://carlthompson.net/Software/CPUSpeed
Source0:        http://carlthompson.net/dl/cpuspeed/%{name}-%{version}.tar.gz
Source1:        http://carlthompson.net/dl/cpuspeed/license.txt
Source2:        cpuspeed.init
Source3:        cpuspeed.conf
Source4:        cpuspeed.8
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq:		chkconfig initscripts
BuildPreReq: 	automake util-linux groff gettext
ExclusiveArch:	%{ix86} x86_64 ppc ppc64
Obsoletes:	kernel-utils

Patch1:         warning.diff
Patch2:         idlenice.diff
Patch3:         cpuspeed-1.2.1-make.patch
Patch4:         cpuspeed-1.2.1-make-gcc43-happy.patch
Patch5:         cpuspeed-1.2.1-multicore-workaround.patch

%description
cpuspeed is a daemon that dynamically changes the speed
of your processor(s) depending upon its current workload
if it is capable (needs Intel Speedstep, AMD PowerNow!,
or similar support).

%prep
%setup -q

cp %{SOURCE1} .

%patch1 -p1 -b .warn
%patch2 -p1 -b .idle
%patch3 -p1 -b .make
%patch4 -p1 -b .gcc43~
%patch5 -p1 -b .multicore

%build
rm -rf --preserve-root %{buildroot}

RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | sed -e 's/-fexceptions/-fno-exceptions/g')
make CC="g++" CFLAGS="$RPM_OPT_FLAGS -fpie -pie" LDFLAGS="-Wl,-z,relro,-z,now "

%install
rm -rf --preserve-root %{buildroot}

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_mandir}/man8

make DESTDIR=%{buildroot} install
install -m755 %{SOURCE2} %{buildroot}%{_initscriptdir}/cpuspeed
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/cpuspeed
install -m644 %{SOURCE4} %{buildroot}%{_mandir}/man8/cpuspeed.8

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc license.txt CHANGES EXAMPLES FEATURES README USAGE
%{_sbindir}/cpuspeed
%{_initscriptdir}/cpuspeed
%{_mandir}/man8/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/cpuspeed

%preun
if [ "$1" = "0" ] ; then
  /sbin/service cpuspeed stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del cpuspeed
fi

%post
/sbin/chkconfig --add cpuspeed

%triggerpostun -- kernel-utils
/sbin/chkconfig --add cpuspeed
exit 0

%changelog
* Fri Apr 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-8m)
- import multicore-workaround.patch from Fedora
- replace gcc43.patch
 +* Tue Feb 12 2008 Jarod Wilson <jwilson@redhat.com> 1.2.1-4
 +- Fix up for gcc 4.3
 +- Work around multi-core step detection problems (#392781)
- modify cpuspeed.init to support for powernow-k8 as a kernel module

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-7m)
- rebuild against gcc43

* Tue Jan  8 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.1-6m)
- add patch for gcc43

* Fri Sep  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-5m)
- disable service at initial start up again

* Fri Sep  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-4m)
- fix unneeded /etc/cpuspeed.conf problem

* Wed Jun 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-3m)
- disable service at initial start up

* Wed May 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.1-2m)
- update patch & init file

* Sat May 20 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.1-1m)
- import from fc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 14 2005 Dave Jones <davej@redhat.com>
- Don't try and load acpi-cpufreq if we have no throttling states.

* Thu Sep 29 2005 Dave Jones <davej@redhat.com>
- On shutdown, restore speed to maximum before daemon exit.

* Fri Sep 23 2005 Dave Jones <davej@redhat.com>
- Use ACPI as a fallback driver if possible, if one didn't get loaded. (#160788)

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Fix debuginfo generation.

* Wed Apr  6 2005 Dave Jones <davej@redhat.com>
- Don't count nice time as idle time. (#132383)

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Fri Feb  4 2005 Dave Jones <davej@redhat.com>
- Enable builds for PPC (#147089)

* Tue Jan 11 2005 Dave Jones <davej@redhat.com>
- Add missing Obsoletes: kernel-utils

* Mon Jan 10 2005 Dave Jones <davej@redhat.com>
- Update to upstream 1.2.1 release.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, split out from kernel-utils.

